#if !defined(AFX_PORTDLG_H__84FA62D3_A9BA_11D4_9BC7_0020A90A7F1F__INCLUDED_)
#define AFX_PORTDLG_H__84FA62D3_A9BA_11D4_9BC7_0020A90A7F1F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PortDlg.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CPortDlg 

class CPortDlg : public CDialog
{
// Konstruktion
public:
	CPortDlg(CWnd* pParent = NULL);   // Standardkonstruktor

  static int GetBaudrate() 
  { 
    return AfxGetApp()->GetProfileInt("Port","Baudrate",19200);
  }
	static int GetTimeout()
  {
    return (int)AfxGetApp()->GetProfileInt("Port","Timeout", 500);
  }

  CString GetName()
  {
    CString strAdresse;
    strAdresse.Format(":%d",1);
    if(m_strPortName.Find("USB: ") == 0)
      return m_strPortName.Mid(5) + strAdresse;
    else if(m_strPortName.Find("LAN: ") == 0)
      return m_strPortName.Mid(5) + strAdresse;
    else if(m_strPortName.Find("Bluetooth: ") == 0)
      return m_strPortName.Mid(11) + strAdresse;
    else
      return m_strPortName + strAdresse;
  }

  static  bool IsDeviceAvailable(const CString & Name);

// Dialogfelddaten
	//{{AFX_DATA(CPortDlg)
	enum { IDD = IDD_PORT };
	CComboBox	m_StopbitsCtrl;
	CComboBox	m_ParityCtrl;
	CComboBox	m_BaudrateCtrl;
	CListBox	m_ListBox;
	UINT	m_nTimeout;
	BOOL	m_EthernetAktiv;
	//}}AFX_DATA
  bool IsUSB(){return m_bIsUSB;}
  bool IsLAN()      {return m_bIsLAN;}
  bool IsBluetooth(){return m_bIsBluetooth;}

  // berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CPortDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
  CString m_strPortName;
  int     m_nBaudrate;

  CStringList m_PortListe,m_USBListe,m_LANListe,m_BTListe;

  bool    m_bIsUSB;
  bool    m_bIsLAN;
  bool    m_bIsBluetooth;
	
	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CPortDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeCom1();
  afx_msg BOOL OnDeviceChange( UINT nEventType, DWORD dwData );
	afx_msg void OnSelchangeParity();
	afx_msg void OnSelchangeStopbits();
	afx_msg void OnEthernetAktiv();
	afx_msg void OnIpListe();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_PORTDLG_H__84FA62D3_A9BA_11D4_9BC7_0020A90A7F1F__INCLUDED_
